<?php
	error_reporting( E_ALL );
	$hostname = 'localhost';
	$username = 'narKampen';
	$pass = 'IfRLzj2HJBXA9eei';
	$database = 'narKampen';

	$conn = new mysqli($hostname, $username, $pass, $database);
	
	if (!$conn) {
		die("Connection Failed. ". mysqli_connect_error());
	}
	mysqli_set_charset($conn,'utf8');
	
	$searchString = $conn->real_escape_string($_GET['search']);
	
	$sql = "SELECT id, username FROM users WHERE username LIKE '%$searchString%' LIMIT 20";
	
	$result = mysqli_query($conn, $sql);
	
	$json = array();
	
	if (mysqli_num_rows($result) > 0) {
		while ($row = mysqli_fetch_assoc($result)) {
			$json[] = array('id' => $row['id'],
				'username' => $row['username']);
		}
		$jsonString = json_encode($json);
		echo $jsonString;
	} else {
		echo "";
	}

?>
